<template>
    <Page actionBarHidden="true">
        <ScrollView>
            <StackLayout>
                <GridLayout>
                    <Image width="350px" height="154,5px" marginTop="100px"
                        marginBottom="20px" src="~/assets/images/logo.png"
                        stretch="aspectFill" />
                </GridLayout>
                <GridLayout>
                    <TextView v-model="comment" hint="Enter votre commentaire"
                        class="com" />
                </GridLayout>
                <GridLayout columns="*,*">
                    <Button col="0" text="Ignorer" @tap="ignorer"
                        class="ign" />
                    <Button col="1" text="Soumettre" @tap="soumettre"
                        class="soum" />
                </GridLayout>
            </StackLayout>
        </ScrollView>
    </Page>
</template>

<script>
    import Thank from "./Thank";
    export default {
        methods: {
            soumettre() {
                if(this.comment != ''){
                    // fonction d'envoie des donnees (note, total, clientId, serviceId, commentaire )
                    this.rate.commentaire = this.comment;
                    this.$service.post('/rates/create', this.rate,(err, data) => {
                        if (err) {
                            console.log('erreur :', err);
                            return;
                        }

                        console.log(data)
                        this.$navigateTo(Thank);

                    });
                }else{
                    // code d'erreur a ecrire ici
                }
            },
            ignorer() {
                
                this.$service.post('/rates/create', this.rate,(err, data) => {
                    if (err) {
                        console.log('erreur :', err);
                        return;
                    }

                    console.log(data)
                    this.$navigateTo(Thank);

                });
            },
           
        },
        data() {
            return {
                comment: ''
            }
        },
        props: ['rate'],
        mounted(){
            console.dir(this.rate);

        }
    };
</script>

<style scoped>
    .com {
        margin: 120px 30px 70px 30px;
        height: 500px;
        border-radius: 20px;
        border-width: 2px;
        border-color: #00A99D;
        background-color: #EBEBEB
    }

    .ign {
        border-radius: 200px;
        width: 300px;
        height: 160px;
        font-size: 22px;
        color: #FFFFFF;
        background-color: #00A99D;
        border-color: #FFFF00;
        border: true
    }

    .soum {
        border-radius: 200px;
        width: 300px;
        height: 160px;
        font-size: 22px;
        color: #727272;
        background-color: #EBEBEB;
        border-color: #FFFF00;

    }
</style>